#!/bin/bash

COUNT=20

if [ $# -eq 0 ]; then
	echo "avg.sh [-c count] command ..."
	exit 1
fi

if [ $1 = "-c" ]; then
	shift
	COUNT=$1
	shift
fi

if [ $# -eq 0 ]; then
	echo "avg.sh [-c count] command ..."
	exit 1
fi

VALS=""

for((i=0;i<$COUNT;i++)); do
	echo $i
	if [ "$VALS" ]; then VALS="$VALS + "; fi
	VALS="$VALS"`/usr/bin/time -f %U "$@" 2>&1 >/dev/null`
done

echo "scale=4; ( $VALS ) / $COUNT" | bc
