	stt_varctx_set(ctx, "+", stt_create_builtin(ctx->stt, sb_plus));
	stt_varctx_set(ctx, "-", stt_create_builtin(ctx->stt, sb_minus));
	stt_varctx_set(ctx, "*", stt_create_builtin(ctx->stt, sb_mul));
	stt_varctx_set(ctx, "/", stt_create_builtin(ctx->stt, sb_div));
	stt_varctx_set(ctx, "MOD", stt_create_builtin(ctx->stt, sb_mod));
	stt_varctx_set(ctx, "ATAN2", stt_create_builtin(ctx->stt, sb_atan2));
	stt_varctx_set(ctx, "POW", stt_create_builtin(ctx->stt, sb_pow));
	stt_varctx_set(ctx, "FREXP", stt_create_builtin(ctx->stt, sb_frexp));

	stt_varctx_set(ctx, "LOGIOR", stt_create_builtin_with_data(ctx->stt, sb_logic, (void *) 0));
	stt_varctx_set(ctx, "LOGAND", stt_create_builtin_with_data(ctx->stt, sb_logic, (void *) 1));
	stt_varctx_set(ctx, "LOGXOR", stt_create_builtin_with_data(ctx->stt, sb_logic, (void *) 2));
	stt_varctx_set(ctx, "LOGNOT", stt_create_builtin(ctx->stt, sb_lognot));

	stt_varctx_set(ctx, "->NUM", stt_create_builtin(ctx->stt, sb_2num));
	stt_varctx_set(ctx, "->STR", stt_create_builtin(ctx->stt, sb_2str));
	stt_varctx_set(ctx, "->SYMBOL", stt_create_builtin(ctx->stt, sb_2symbol));
	stt_varctx_set(ctx, "->INT", stt_create_builtin(ctx->stt, sb_2int));

	stt_varctx_set(ctx, "RANDOM", stt_create_builtin_with_data(ctx->stt, sb_random, (void *) 0));
	stt_varctx_set(ctx, "RAND", stt_create_builtin_with_data(ctx->stt, sb_random, (void *) 1));

	/* some predicates */
	stt_varctx_set(ctx, "=", stt_create_builtin_with_data(ctx->stt, sb_equal, (void *) '='));
	stt_varctx_set(ctx, "<", stt_create_builtin_with_data(ctx->stt, sb_equal, (void *) '<'));
	stt_varctx_set(ctx, ">", stt_create_builtin_with_data(ctx->stt, sb_equal, (void *) '>'));
	stt_varctx_set(ctx, "<=", stt_create_builtin_with_data(ctx->stt, sb_equal, (void *) '{'));
	stt_varctx_set(ctx, ">=", stt_create_builtin_with_data(ctx->stt, sb_equal, (void *) '}'));

	stt_varctx_set(ctx, "ISSET", stt_create_builtin_with_data(ctx->stt, sb_isset, (void *) 0));
	stt_varctx_set(ctx, "ISLOCAL", stt_create_builtin_with_data(ctx->stt, sb_isset, (void *) 1));
